attribute vec4 a_position;
uniform mat4 u_worldViewProjectionMatrix;

#if defined(TEXTURE)
	attribute vec2 a_texCoord;
	varying vec2 v_UV;
#endif

#if defined(VERTEX_COLOR)
	attribute vec3 a_color;
	varying vec3 v_color;
#endif

void main()
{
	gl_Position = u_worldViewProjectionMatrix * a_position;
	
	#if defined(TEXTURE)
	v_UV = a_texCoord;
	#endif

	#if defined(VERTEX_COLOR)
	v_color = a_color;
	#endif
}
